Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.cache
Interface ClusterTask

All Superinterfaces:
  Externalizable, Runnable, Serializable

All Known Implementing Classes:
  BroascastMessageRequest, BroascastPresenceRequest, ChangeNickname, DestroyRoomRequest, GetAdminConsoleInfoTask, GetBasicStatistics, GetNewMemberRoomsRequest, GetNumberConnectedUsers, GetSessionsCountTask, IsPluginInstalledTask, MUCRoomTask, OccupantAddedEvent, OccupantLeftEvent, PropertyClusterEventTask, RoomAvailableEvent, RoomRemovedEvent, RoomUpdatedEvent, SeniorMemberRoomsRequest, UpdateHistoryStrategy, UpdateOccupant, UpdateOccupantRequest, UpdatePresence

    public interface ClusterTask

extends Runnable, Externalizable

An interface to mix in Serializable and Runnable, which are both required for sending invocable tasks across a cluster.

Method Summary
`Object` | `getResult()`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Method Detail

### getResult

    Object getResult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.